/*
 *  Copyright 2011 by The Cogchar Project (www.cogchar.org).
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/*
 * SpectrogramPanel.java
 *
 * Created on Dec 7, 2010, 3:18:38 PM
 */

package org.cogchar.audio.spectrogram;

import java.awt.Color;
import java.awt.Graphics;

/**
 *
 * @author Matthew Stevenson <matt@hansonrobokind.com>
 */
public class SpectrogramPanel extends javax.swing.JPanel {

    /** Creates new form SpectrogramPanel */
    public SpectrogramPanel() {
        initComponents();
    }

	/*
	@Override public void paintComponent(Graphics g) {

	}*/

	public void addData(int[][] data){
		Graphics g = this.getGraphics();
		int w = this.getWidth();
		int h = this.getHeight();
		int len = data.length;
		double bH = (double)h/(double)len;
		g.copyArea(0, 0, w, h, -1, 0);
		for(int i = 0; i<data.length; i++){
			g.setColor(new Color(data[i][0], data[i][1], data[i][2]));
			g.drawLine(w-1, (int)(h-i*bH), w-1, (int)(h-(i-1)*bH));
		}
	}
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables

}
